Package org.apache.cxf.binding

# Interface BindingFactory

All Known Implementing Classes:
  `AbstractBindingFactory`

public interface BindingFactory
A factory interface for creating Bindings from BindingInfo metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addListener(Destination d, Endpoint e)`
  Set the destination's message observer which is created by using the endpoint to listen the incoming message
  `Binding`
  `createBinding(BindingInfo binding)`
  Create a Binding from the BindingInfo metadata.
  `BindingInfo`
  `createBindingInfo(Service service, String namespace, Object configObject)`
  Create a "default" BindingInfo object for the service.

- ## Method Details

  - ### createBinding

    Binding createBinding(BindingInfo binding)
    Create a Binding from the BindingInfo metadata.
    Parameters:
      `binding` -
    Returns:
      the Binding object

  - ### createBindingInfo

    BindingInfo createBindingInfo(Service service, String namespace, Object configObject)
    Create a "default" BindingInfo object for the service. Can return a subclass.
    Parameters:
      `service` -
      `namespace` -
      `configObject` - - binding specific configuration object
    Returns:
      the BindingInfo object

  - ### addListener

    void addListener(Destination d, Endpoint e)
    Set the destination's message observer which is created by using the endpoint to listen the incoming message
    Parameters:
      `d` - the destination that will be set the MessageObserver
      `e` - the endpoint to build up the MessageObserver